Subject: Re: [PATCH] git send-email: allow any rev-list option as an argument.

From: Pierre Habouzit <[email-masked]>
Date: Sun, 02 Nov 2008 10:39:07 +0100

On Sun, Nov 02, 2008 at 04:35:23AM +0000, Jeff King wrote:
> On Fri, Oct 31, 2008 at 05:52:05PM +0100, Pierre Habouzit wrote:
> 
> > Signed-off-by: Pierre Habouzit <[email-masked]>
> > ---
> > 
> >   One can consider to squash that on top of
> >   <[email-masked]> to be able to pass
> >   all non path arguments before a possible '--' to git format-patch.
> 
> Personally, I think the other patch is not useful without this. I often
> pull out funny subsets of patches if I know it is safe to do so (e.g., I
> collect small, unrelated bugfixes directly onto a single branch, but I
> send them separately).
> 
> With this patch, I might even find send-email usable. :)

Well it still messes the file/reference name conflict with no way to
prevent it because of the backward compatibility, and even if unlikely
it's still possible.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org